import ComponentsFormsInputGroupButtonAddons from '@/components/forms/input-group/components-forms-input-group-button-addons';
import ComponentsFormsInputGroupCheckboxes from '@/components/forms/input-group/components-forms-input-group-checkboxes';
import ComponentsFormsInputGroupDefault from '@/components/forms/input-group/components-forms-input-group-default';
import ComponentsFormsInputGroupDropdownIcon from '@/components/forms/input-group/components-forms-input-group-dropdown-icon';
import ComponentsFormsInputGroupRadio from '@/components/forms/input-group/components-forms-input-group-radio';
import ComponentsFormsInputGroupSimpleIcon from '@/components/forms/input-group/components-forms-input-group-simple-icon';
import ComponentsFormsInputGroupSwitch from '@/components/forms/input-group/components-forms-input-group-switch';
import { Metadata } from 'next';
import Link from 'next/link';
import React from 'react';

export const metadata: Metadata = {
    title: 'ورودی های گروهی',
};


export default function() {
    return (
        <div>
            <ul className="flex space-x-2 rtl:space-x-reverse">
                <li>
                    <Link href="#" className="text-primary hover:underline">
                        فرم ها
                    </Link>
                </li>
                <li className="before:content-['/'] ltr:before:mr-2 rtl:before:ml-2">
                    <span>ورودی های گروهی</span>
                </li>
            </ul>

            <div className="space-y-4 pt-5">
                {/*  Basic  */}
                <div className="grid grid-cols-1 gap-4 xl:grid-cols-2" id="basic">
                    {/* default */}
                    <ComponentsFormsInputGroupDefault />

                    {/* simple icon */}
                    <ComponentsFormsInputGroupSimpleIcon />


                    {/*  dropdown icon */}
                    <ComponentsFormsInputGroupDropdownIcon />

                    {/* checkboxes */}
                    <ComponentsFormsInputGroupCheckboxes />

                    {/* Radio */}
                    <ComponentsFormsInputGroupRadio />

                    {/* switch */}
                    <ComponentsFormsInputGroupSwitch />
                    {/*buttons*/}
                    <ComponentsFormsInputGroupButtonAddons />
                </div>

            </div>
        </div>
    );
}

